<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <style>
    canvas {
        border:0px solid #d3d3d3;
        margin:0px;
        background-color: #f1f1f1;
    }
    body {
        border:0px solid #d3d3d3;
        margin:0px;
        background-color: #f1f1f1;
    }
    </style>
</head>
    <body><!--  -->
        <h1>"Clientico"</h1>
        <p id="mensajeinicial">Bienvenido</p>
        <script src="https://cdn.socket.io/4.5.4/socket.io.min.js"></script>
        <script>
            var parrafo = document.getElementById("mensajeinicial"); 
            parrafo.textContent="hello"
            const queryString = window.location.search;
            const urlParams = new URLSearchParams(queryString);
            const username = urlParams.get('username');
            const token = urlParams.get('token');

            var socket = io('http://localhost:3000');

            socket.emit("connect-player",{
                username,
                token
            });

            socket.on("start-game",()=>{

            });

            console.log(socket);

            //socket.emit("connect-player", req.query.username);
            //console.log(socket);

            socket.on("made.move", ()=>{
                //actualizar visualmente
            })
            
            socket.on("numero-jugador", (data) => {
                const numeroJugador = data;
            });

            socket.on("Comenzar a Jugar", (data) => {
                parrafo.textContent=data;
            console.log(data);
            });
        </script>

    </body>
</html>
